Bug 446435 - khelpcenter: The requested help file could not be parsed: .../foo/index.docbook
khelpcenter: The requested help file could not be parsed: .../foo/index.docbook
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
9
ia64 Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 12:14 EDT by Patrick O'Callaghan
Modified: 2008-05-21 06:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.0.4-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 06:58:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick O'Callaghan 2008-05-14 12:14:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9b5) Gecko/2008043010 Fedora/3.0-0.60.beta5.fc9 Firefox/3.0b5

Description of problem:
On trying to access the online help in KDE apps such as Dolphin, I get the following message:

The requested help file could not be parsed:
/usr/share/doc/HTML/en//dolphin/index.docbook

The various docbook files for KDE appear to be present, but are not being processed.

Version-Release number of selected component (if applicable):
kdebase-4.0.3-9.fc9.x86_64

How reproducible:
Always


Steps to Reproduce:
1.Open a KDE app such as Dolphin
2.Click the Help button
3.See error message

Actual Results:
The requested help file could not be parsed:
/usr/share/doc/HTML/en//dolphin/index.docbook


Expected Results:
A help page for the app should appear.

Additional info:
KDE installed with 'yum groupinstall' originally on F9-Rawhide about a month ago. Updates applied on a daily basis since then.
Comment 1 Rex Dieter 2008-05-14 12:18:48 EDT
Help->Dolphin Handbook
fails?

If so, worksforme here.  Maybe a missing dep?
Comment 2 Rex Dieter 2008-05-14 12:19:59 EDT
Patrick, can you
yum groupupdate kde-desktop
and confirm problem still exists?
Comment 3 Rex Dieter 2008-05-14 12:21:35 EDT
In fairness, worksforme here was using kde-4.0.4.
Comment 4 Anthony Messina 2008-05-14 13:26:55 EDT
I have the same issue as the reporter on a fresh install of Fedora 9 last
night.  Only thing I removed was pulseaudio :(

Doing groupupdate kde-desktop reveals:
Installing:
 kde-settings-pulseaudio  noarch     4.0-22.fc9.1     fedora             10 k
Installing for dependencies:
 alsa-plugins-pulseaudio  x86_64     1.0.16-4.fc9     fedora             35 k
 pulseaudio              x86_64     0.9.10-1.fc9     fedora            389 k
 pulseaudio-core-libs    x86_64     0.9.10-1.fc9     fedora            210 k
 pulseaudio-module-x11   x86_64     0.9.10-1.fc9     fedora             24 k
 xine-lib-pulseaudio     x86_64     1.1.12-2.fc9     fedora             15 k

So for fun I tried yum install docbook*  but this didn't help either.
Comment 5 Rex Dieter 2008-05-14 13:38:50 EDT
rpm -q kdebase-runtime
please.

I'm curious whether kde-4.0.4 might help here:
https://admin.fedoraproject.org/updates/F9/FEDORA-2008-3664
Comment 6 Patrick O'Callaghan 2008-05-14 13:43:12 EDT
# rpm -q kdebase-runtime
kdebase-runtime-4.0.3-10.fc9.x86_64

Also:

# yum groupupdate kde-desktop
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * google: dl.google.com
 * fedora: fedora.mirror.iweb.ca
 * livna-development: livna.cat.pdx.edu
 * localrepo:
 * updates: fedora.mirror.iweb.ca
 * adobe-linux-i386: linuxdownload.adobe.com
google                                                   |  951 B     00:00
fedora                                                   | 2.4 kB     00:00
livna-development                                        | 2.1 kB     00:00
localrepo                                                | 2.7 kB     00:00
updates                                                  | 2.3 kB     00:00
adobe-linux-i386                                         |  951 B     00:00
Setting up Group Process
Loading mirror speeds from cached hostfile
 * google: dl.google.com
 * fedora: fedora.mirror.iweb.ca
 * livna-development: livna.cat.pdx.edu
 * localrepo:
 * updates: fedora.mirror.iweb.ca
 * adobe-linux-i386: linuxdownload.adobe.com
Package kdebase-workspace-4.0.3-20.fc9.x86_64 already installed and latest version
Package digikam-0.9.3-2.fc9.x86_64 already installed and latest version
Package kaffeine-0.8.6-4.fc9.x86_64 already installed and latest version
Package zenity-2.22.1-1.fc9.x86_64 already installed and latest version
Package konversation-1.0.1-6.fc9.x86_64 already installed and latest version
Package 7:kdegraphics-4.0.3-3.fc9.x86_64 already installed and latest version
Package 6:kdemultimedia-4.0.3-3.fc9.x86_64 already installed and latest version
Package kpowersave-0.7.3-3.fc9.x86_64 already installed and latest version
Package 1:NetworkManager-gnome-0.7.0-0.9.3.svn3623.fc9.x86_64 already installed
and latest version
Package 6:kdepim-3.5.9-9.fc9.x86_64 already installed and latest version
Package 6:kdebase-4.0.3-9.fc9.x86_64 already installed and latest version
Package kdeartwork-4.0.3-3.fc9.x86_64 already installed and latest version
Package kipi-plugins-0.1.5-0.6.rc2.fc9.x86_64 already installed and latest version
Package kdeedu-4.0.3-3.fc9.x86_64 already installed and latest version
Package 6:kdegames-4.0.3-3.fc9.x86_64 already installed and latest version
Package 6:kdeutils-4.0.3-4.fc9.x86_64 already installed and latest version
Package kftpgrabber-0.8.1-6.fc9.x86_64 already installed and latest version
Package extragear-plasma-4.0.1-5.fc9.x86_64 already installed and latest version
Package 7:kdenetwork-4.0.3-6.fc9.x86_64 already installed and latest version
Package kde-settings-pulseaudio-4.0-22.fc9.1.noarch already installed and latest
version
Package pinentry-qt-0.7.4-5.fc9.x86_64 already installed and latest version
Package ksshaskpass-0.4-2.fc9.x86_64 already installed and latest version
Package amarok-1.4.8-5.fc9.x86_64 already installed and latest version
Package 1:kdeaccessibility-4.0.3-3.fc9.x86_64 already installed and latest version
Package ktorrent-3.0.1-3.fc9.x86_64 already installed and latest version
Package scribus-1.3.4-5.fc9.x86_64 already installed and latest version
No packages in any requested group available to install or update

So no change.

I'm willing to try 4.0.4 if I can easily back out in case of problems (it's
alpha after all).
Comment 7 Anthony Messina 2008-05-14 13:44:44 EDT
kdebase-runtime-4.0.3-10.fc9.x86_64

btw, do i need the docbook* rpms?
Comment 8 Kevin Kofler 2008-05-14 13:45:31 EDT
4.0.4 is not alpha, it's a bugfix release from the 4.0 branch.
Comment 9 Patrick O'Callaghan 2008-05-14 13:51:47 EDT
Oops, I was confusing 4.0.4 with 4.1. I'll try it in a while and report. In the
meantime, could someone explain what's *supposed* to happen? i.e. are the
docbook files meant to be converted on demand, converted at install time, read
directly by the help system, or what?
Comment 10 Patrick O'Callaghan 2008-05-14 14:57:47 EDT
Tried to update to 4.0.4 and got this:

6:kdebase-libs-4.0.4-2.fc9.x86_64 from updates-testing has depsolving problems
  --> Missing Dependency: kdepimlibs >= 4.0.4 is needed by package
6:kdebase-libs-4.0.4-2.fc9.x86_64 (updates-testing)
Comment 11 Kevin Kofler 2008-05-14 15:46:52 EDT
Yeah, we screwed that update up. :-( That should be fixed in the next update 
push, which is hopefully coming soon.
Comment 12 Rex Dieter 2008-05-14 16:30:24 EDT
downgraded myself to 4.0.3, and it still worked.  I'm thinking it's still a
missing dep.  grepped kdebase-runtime sources (including khelpcenter), can't
find anything "file could not be parsed".  ??
Comment 13 Rex Dieter 2008-05-14 16:35:31 EDT
requested help file could not be parsed:
kdelibs*/kdoctools/kio_help.cpp
Comment 14 Rex Dieter 2008-05-14 16:58:25 EDT
Lukas, Than, can either of you make sense of this?  Why/how is kio_help failing
to parse docbook files for some folks?

I myself remember seeing this error at one point in time, but it went away, so I
figured it was just me and my borked rawhide box.
Comment 15 Kevin Kofler 2008-05-14 17:07:17 EDT
The code around that error message:
        QString xsl = "customization/kde-nochunk.xsl";
        mParsed = transform(file, KStandardDirs::locate("dtd", xsl));

        kDebug( 7119 ) << "parsed " << mParsed.length();

        if (mParsed.isEmpty()) {
            unicodeError( i18n( "The requested help file could not be 
parsed:<br />%1" ,  file ) );

is trying to convert the docbook file 
using /usr/share/kde4/apps/ksgmltools2/customization/kde-nochunk.xsl, however 
that file is in kdelibs-devel, not kdelibs. We have to move it to the main 
package.
Comment 16 Patrick O'Callaghan 2008-05-14 18:33:03 EDT
What is khelpcenter? I don't have it and yum can't find it.
Comment 17 Patrick O'Callaghan 2008-05-14 18:49:44 EDT
OK, installed kdelibs-devel did the trick.
Comment 18 Kevin Kofler 2008-05-14 19:47:49 EDT
I'm going to move the /usr/share/kde4/apps/ksgmltools2 directory (the whole 
one, the files are interdependent) to the main package.
Comment 19 Kevin Kofler 2008-05-14 23:21:50 EDT
Should be fixed in kdelibs-4.0.4-3.fc9:
https://koji.fedoraproject.org/koji/taskinfo?taskID=609985
Comment 20 Rex Dieter 2008-05-15 08:25:05 EDT
rats, the wierd.  I uninstalled kdelibs-devel, and it continued to work for me.
??  But maybe it caches things somewhere that I didn't notice (already nuked
/var/tmp/kdecache-<me>/*help* ).
Comment 21 Kevin Kofler 2008-05-15 12:55:58 EDT
Do you have kdelibs3-devel too maybe? That also contains those files 
(in /usr/share/apps/ksgmtools2), so I guess KDE 4 picked those up when you 
uninstalled kdelibs-devel.
Comment 22 Rex Dieter 2008-05-15 13:24:28 EDT
Yep, kdelibs3-devel was (still) installed.  rats
Comment 23 Fedora Update System 2008-05-17 18:20:53 EDT
kdepimlibs-4.0.4-1.fc9, kdesdk-4.0.4-2.fc9, kdebase-runtime-4.0.4-1.fc9, kdeartwork-4.0.4-1.fc9, kdeadmin-4.0.4-1.fc9, kdemultimedia-4.0.4-1.fc9, kdegraphics-4.0.4-1.fc9, kde-l10n-4.0.4-1.fc9, kdeedu-4.0.4-2.fc9, kdebase-workspace-4.0.4-4.fc9, kdenetwork-4.0.4-2.fc9, kdeutils-4.0.4-1.fc9, kdetoys-4.0.4-1.fc9, kdelibs-4.0.4-4.fc9, kdegames-4.0.4-2.fc9, kdebindings-4.0.4-1.fc9, kdeaccessibility-4.0.4-1.fc9, kdebase-4.0.4-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdepimlibs kdesdk kdebase-runtime kdeartwork kdeadmin kdemultimedia kdegraphics kde-l10n kdeedu kdebase-workspace kdenetwork kdeutils kdetoys kdelibs kdegames kdebindings kdeaccessibility kdebase'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-3664
Comment 24 Fedora Update System 2008-05-21 06:58:02 EDT
kdebase-workspace-4.0.4-4.fc9, kdebase-4.0.4-2.fc9, kde-l10n-4.0.4-1.fc9, kdesdk-4.0.4-2.fc9, kdemultimedia-4.0.4-2.fc9, kdelibs-4.0.4-4.fc9, kdeedu-4.0.4-2.fc9, kdebase-runtime-4.0.4-1.fc9, kdepimlibs-4.0.4-1.fc9, kdenetwork-4.0.4-2.fc9, kdegraphics-4.0.4-1.fc9, kdeaccessibility-4.0.4-1.fc9, kdeartwork-4.0.4-1.fc9, kdeutils-4.0.4-1.fc9, kdebindings-4.0.4-1.fc9, kdetoys-4.0.4-1.fc9, kdegames-4.0.4-2.fc9, kdeadmin-4.0.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.